> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extat.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Agenda downgrade para o fim do ciclo atual



## OpenAPI

````yaml /openapi/extat-openapi.json post /billing/subscriptions/downgrade
openapi: 3.0.0
info:
  contact:
    email: contato@cernedigital.io
    name: Cerne Digital
    url: https://cernedigital.io
  description: >-
    API REST da Extat Plataforma usada pelo painel web. Artefato OpenAPI 3.0
    para a documentação Mintlify (tags em PT-BR).
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Extat Plataforma - API REST
  version: '1.0'
servers:
  - url: https://golang-api-vgnqx.ondigitalocean.app/v1
security: []
tags:
  - name: Autenticação
  - name: Bancos
  - name: Contas Bancárias
  - name: Plano e Assinaturas
  - name: Empresa
  - name: Centros de Custo
  - name: Painel
  - name: Demonstrativos
  - name: Saúde
  - name: Convites
  - name: Membros
  - name: Onboarding
  - name: Fornecedores
  - name: Usuário
paths:
  /billing/subscriptions/downgrade:
    post:
      tags:
        - Plano e Assinaturas
      summary: Agenda downgrade para o fim do ciclo atual
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.ChangePlanRequestDTO'
        description: plano alvo do downgrade
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.ScheduledChangeResponseDTO'
          description: OK
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponseDTO'
          description: Unprocessable Entity
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dto.ChangePlanRequestDTO:
      properties:
        plan_id:
          type: string
        plan_price_id:
          type: string
      required:
        - plan_id
        - plan_price_id
      type: object
    dto.ScheduledChangeResponseDTO:
      properties:
        effective_at:
          type: string
        id:
          type: string
        reason:
          type: string
        subscription_id:
          type: string
        target_plan_id:
          type: string
        target_price_id:
          type: string
      type: object
    handler.ErrorResponseDTO:
      properties:
        error:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Token da sessão no cabeçalho Authorization, no formato Bearer (mesmo
        esquema ApiKeyAuth do contrato).
      in: header
      name: Authorization
      type: apiKey

````